
package com.capgemini.greenhouse.api;

import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;

/**
 * NOTE: This class is auto generated by the swagger code generator program (3.0.5).
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2019-03-04T11:36:07.231Z[Europe/London]")
@Api(value = "humidity", description = "the humidity API")
public interface HumidityApi {

    @ApiOperation(value = "Sets the required humidity for the room", nickname = "updateHumidity", notes = "", tags = {})
    @ApiResponses(value = {
            @ApiResponse(code = 200, message = "Success"),
            @ApiResponse(code = 400, message = "Bad request"),
            @ApiResponse(code = 405, message = "Invalid input"),
            @ApiResponse(code = 500, message = "Internal server error"),
            @ApiResponse(code = 503, message = "Service unavailable")})
    @RequestMapping(value = "/humidity",
            method = RequestMethod.POST)
    ResponseEntity<Void> updateHumidity(@ApiParam(value = "The humidity to set for the room. A value between 0 and 100") @Valid @RequestParam(value = "humidity", required = false) Integer humidity);

}
